Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.rpc
Class NoHandlerForRPCException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.cache.rpc.NoHandlerForRPCException

All Implemented Interfaces:
  java.io.Serializable

    public class NoHandlerForRPCException

extends java.lang.Exception

Exception returned when `RpcTreeCache._dispatchRpcCall(String, org.jgroups.blocks.MethodCall)` is passed a call for an unregistered handler.

Version:
  $Revision$
Author:
  Brian Stansberry
See Also:
  Serialized Form

Constructor Summary
`NoHandlerForRPCException(java.lang.String msg)`
`NoHandlerForRPCException(java.lang.String message, org.jgroups.Address failedNode)`

Method Summary
`org.jgroups.Address` | `getNodeAddress()`
`void` | `setNodeAddress(org.jgroups.Address failedNode)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoHandlerForRPCException

    public NoHandlerForRPCException(java.lang.String msg)

### NoHandlerForRPCException

    public NoHandlerForRPCException(java.lang.String message,
                                    org.jgroups.Address failedNode)

Method Detail

### getNodeAddress

    public org.jgroups.Address getNodeAddress()

### setNodeAddress

    public void setNodeAddress(org.jgroups.Address failedNode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.